// -----------------------------------------------------------------------------
// This file contains very basic styles.
// -----------------------------------------------------------------------------

/**
 * Set up a decent box model on the root element
 */
html
  box-sizing: border-box
  font-size: 62.5%
  scroll-behavior: smooth
  scroll-padding-top: 80px

/**
 * Make all elements from the DOM inherit from the parent box-sizing
 * Since `*` has a specificity of 0, it does not override the `html` value
 * making all elements inheriting from the root box-sizing value
 * See: https://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/
 */
*,
*::before,
*::after
  box-sizing: inherit
  margin: 0
  padding: 0

/**
 * Basic styles for links
 */
a
  color: $white
  text-decoration: none
  font-family: $text-montserrat
  font-weight: 400

  @include on-event
    color: $default-text-color
    text-decoration: underline

  &:hover
    color: $link-hover-color
    text-decoration: none
